
package pb138xsdparser;

import java.io.File;
import java.io.IOException;
import javax.xml.parsers.ParserConfigurationException;
import javax.xml.transform.TransformerException;
import javax.xml.xpath.XPathExpressionException;
import org.xml.sax.SAXException;

/**
 * The main class.
 * 
 * @version 2012-06-11
 * @author Matus Durcik
 */
public class Main {

    /**
     * The main method.
     * 
     * @param args[0] the command line INPUT argument (XML Schema)
     */
    public static void main(String[] args)
            throws IOException, SAXException, ParserConfigurationException, TransformerException, XPathExpressionException {

        if (args.length < 1) {
            System.err.println("Missing input file argument!");
            return;
        }

        File input = new File(args[0]);
        
        /* bind XML Schema content to Java code */
        Binder myBinder = Binder.newInstance(input);
        myBinder.analyseXML();
       
        /* create parser */
        ParserMaker myParserMaker= new ParserMaker(input);
        myParserMaker.makeParser();
        
    }
}