package pb138xsdparser;

import java.util.Iterator;
import javax.xml.XMLConstants;
import javax.xml.namespace.NamespaceContext;

/**
 * The class implements NamespaceContext.
 * It defines XML Schema name space for XPath.
 * 
 * @version 2012-05-29
 * @author Matus Durcik
 */
public class MyNamespaceContext implements NamespaceContext{
    
    @Override
    public String getNamespaceURI(String prefix)
    {
        if (prefix.equals("xs") || prefix.equals("xsd")){
            return "http://www.w3.org/2001/XMLSchema";
        }else{
            return XMLConstants.NULL_NS_URI;
        }
    }

    @Override
    public String getPrefix(String namespace)
    {
        if (namespace.equals("http://www.w3.org/2001/XMLSchema")){
            return "xs";
        }else{
            return null;
        }
    }

    @Override
    public Iterator getPrefixes(String namespace)
    {
        return null;
    }
}  